Summary: PNG library
Name: hhl-target-libpng
Version: 1.0.8
Release: %{_hhl_build_id}.2
Source: libpng-1.0.8.tar.gz
Source1: hhl-libpng-makefile
Source2: libpng.tmpl
Source3: libpng-dev.tmpl
Patch0: libpng-debian.patch
Url: http://www.libpng.org/pub/png/libpng.html
License: Other
Group: libs
Buildroot: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}
Prefix: %{targetroot}

%define pkgname hhl-%{_hhl_target_arch}-libpng

%define _bindir         %{targetroot}%{_hhl_target_bin_dir}
%define _incdir         %{targetroot}%{_hhl_target_include_dir}
%define _libdir         %{targetroot}%{_hhl_target_lib_dir}
%define _mandir         %{targetroot}%{_hhl_target_man_dir}
%define _infodir        %{targetroot}%{_hhl_target_info_dir}
%define _datadir        %{targetroot}%{_hhl_target_sharedstate_dir}
%define _docdir         %{targetroot}%{_hhl_target_doc_dir}

%description
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

%package -n %{pkgname}
Summary: PNG library - runtime
Group: libs
AutoReqProv: no

%description -n %{pkgname}
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

%package -n %{pkgname}-dev
Summary: PNG library - development
Group: devel
AutoReqProv: no

%description -n %{pkgname}-dev
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

This package contains the static libraries and headers for development

%prep
%target_check
%setup -n libpng-%{version} -q
%patch0 -p1
# %patch1 -p1
# %patch1 -p0

%build
# PATH=%{_hhl_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%target_setup

# NOTE: can't use target_configure function because this
# software has no configure script whatsoever.

touch .depend

# export CC=%{_hhl_target_toolprefix}gcc
# export RANLIB=%{_hhl_target_toolprefix}ranlib
# export AR=%{_hhl_target_toolprefix}ar
# export CPP=%{_hhl_target_toolprefix}cpp
# export CXX=%{_hhl_target_toolprefix}g++
# export LD=%{_hhl_target_toolprefix}ld

export ZLIBLIB=%{_hhl_cross_target_dir}/usr/lib/
export ZLIBINC=%{_hhl_cross_target_dir}/usr/include
export HHL_PREFIX=${RPM_BUILD_ROOT}%{targetroot}/usr/

cp %{SOURCE1} makefile

make CFLAGS="-g -O2"

%install
# PATH=%{_hhl_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%target_setup

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_hhl_cross_target_dir}/usr/include
mkdir -p ${RPM_BUILD_ROOT}%{_hhl_cross_target_dir}/usr/lib

export HHL_PREFIX=${RPM_BUILD_ROOT}%{_hhl_cross_target_dir}/usr/

make install


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libpng
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libpng-dev

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{_libdir}/libpng.so*
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libpng

%files -n %{pkgname}-dev
%defattr(-,root,root)
%{_incdir}
%{_libdir}/libpng.a
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/libpng-dev

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Mar  2 2001 David Gatwood <dgatwood@mvista.com>
- new package for CDK 2.0
* Tue Apr 25 2000 Gilbert Coville <gilbert@mvista.com>
- first appearance in HHL CDK
